<?php
/* 
 * The styles of WPSS are dynamic option driven.
 */
require_once $_SERVER['DOCUMENT_ROOT'] . '/wp-load.php';

header("Content-type: text/css");

global $wpss_options;

$slides = get_terms( 'wpss_sliders' );

foreach( $slides as $slide ){
    
    $data = get_option( 'wpss_' . $slide->slug . '_options' );

    //echo '/*' . var_dump( $data ) . '*/';

    $halfwidth = $data['wpss_halfwidth'];
    $fullwidth = $data['wpss_fullwidth'];
    $height = $data['wpss_height'];
    $textHalfWidth = ( $fullwidth - $halfwidth ) - 20;
    $pagerTop = $height - 20 ;

    echo '
    #wpss_slideshow_' . $slide->slug . '{ padding:10px; background-color:#F1F1F1; height:' . $height . 'px; overflow:hidden; position:relative; margin-bottom:5px; clear:both; }
    #wpss_slideshow_' . $slide->slug . ' .wpss_img.half{ float:left; width:' . $halfwidth . 'px; }
    #wpss_slideshow_' . $slide->slug . ' .wpss_img.half{ float:left; width:' . $halfwidth . 'px; }
    #wpss_slideshow_' . $slide->slug . ' .wpss_content_half{ padding: 10px; float:left; width:' . $textHalfWidth . 'px; }
    #wpss_slideshow_pager_' . $slide->slug . '{ position:absolute; z-index:1000; right:17px; top:' . $pagerTop . 'px; }
    #wpss_slideshow_pager_' . $slide->slug . ' a{ float:left; height:20px; width:20px; text-align:center; line-height:20px; color:#FFF; background-color:#000; margin-right:5px; }
    #wpss_slideshow_pager_' . $slide->slug . ' a:hover, #wpss_slideshow_pager_' . $slide->slug . ' a.activeSlide{ background-color:#1f1e1e; }
    ';

}

?>